Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api.script.instance
Interface IImageInstance

All Superinterfaces:
  IReportElementInstance, IReportItemInstance

    public interface IImageInstance

extends IReportItemInstance

Method Summary
`IActionInstance` | `createAction()` Create a new action instance, witch can be bookmark, hyperlink or drillThrough.
`IActionInstance` | `getAction()` Get the action instance.
`java.lang.String` | `getAltText()` Get the alt text
`java.lang.String` | `getAltTextKey()` Get the alt text
`byte[]` | `getData()` Returns the data for a named image
`java.lang.String` | `getFile()` get the image url, if the source type is not `IMAGE_REF_TYPE_FILE` return null.
`java.lang.String` | `getImageName()` Get the image name
`int` | `getImageSource()` Returns the type of image source Can be one of the following: org.eclipse.birt.report.engine.content.IImageContent.IMAGE_FILE org.eclipse.birt.report.engine.content.IImageContent.IMAGE_NAME org.eclipse.birt.report.engine.content.IImageContent.IMAGE_EXPRESSION org.eclipse.birt.report.engine.content.IImageContent.IMAGE_URL
`java.lang.String` | `getMimeType()` Get the MIME Type
`java.lang.String` | `getURI()` Get the image URI
`java.lang.String` | `getURL()` get the image url, if the source type is not `IMAGE_REF_TYPE_URL` return null.
`void` | `setAction(IActionInstance actionInstance)` set the actionInstance
`void` | `setAltText(java.lang.String altText)` Set the alt text
`void` | `setAltTextKey(java.lang.String altTextKey)` Set the alt text
`void` | `setData(byte[] data)` Set the data for a named image
`void` | `setFile(java.lang.String file)` Sets the image file.
`void` | `setImageName(java.lang.String imageName)` Set the image name
`void` | `setMimeType(java.lang.String type)` Set the MIME Type
`void` | `setURI(java.lang.String uri)` Deprecated. Set the image URI
`void` | `setURL(java.lang.String url)` Sets the image url.

Methods inherited from interface org.eclipse.birt.report.engine.api.script.instance.IReportItemInstance
`getHelpText, getHyperlink, getName, setHelpText, setName`

Methods inherited from interface org.eclipse.birt.report.engine.api.script.instance.IReportElementInstance
`getHeight, getHorizontalPosition, getNamedExpressionValue, getParent, getRowData, getStyle, getUserPropertyValue, getVerticalPosition, getWidth, setHeight, setHorizontalPosition, setUserPropertyValue, setVerticalPosition, setWidth`

Method Detail

### getAltText

    java.lang.String getAltText()

  Get the alt text

### setAltText

    void setAltText(java.lang.String altText)

  Set the alt text

  Parameters:
    `altText` -

### getAltTextKey

    java.lang.String getAltTextKey()

  Get the alt text

### setAltTextKey

    void setAltTextKey(java.lang.String altTextKey)

  Set the alt text

  Parameters:
    `altText` -

### getURI

    java.lang.String getURI()

  Get the image URI

### setURI

    void setURI(java.lang.String uri)

  Deprecated. Set the image URI

### getImageSource

    int getImageSource()

  Returns the type of image source Can be one of the following: org.eclipse.birt.report.engine.content.IImageContent.IMAGE_FILE org.eclipse.birt.report.engine.content.IImageContent.IMAGE_NAME org.eclipse.birt.report.engine.content.IImageContent.IMAGE_EXPRESSION org.eclipse.birt.report.engine.content.IImageContent.IMAGE_URL

### getImageName

    java.lang.String getImageName()

  Get the image name

### setImageName

    void setImageName(java.lang.String imageName)

  Set the image name

### getData

    byte[] getData()

  Returns the data for a named image

### setData

    void setData(byte[] data)

  Set the data for a named image

### getMimeType

    java.lang.String getMimeType()

  Get the MIME Type

### setMimeType

    void setMimeType(java.lang.String type)

  Set the MIME Type

### setURL

    void setURL(java.lang.String url)

  Sets the image url. The source type is `IMAGE_REF_TYPE_URL`, and will automatically set in this method.

### getURL

    java.lang.String getURL()

  get the image url, if the source type is not `IMAGE_REF_TYPE_URL` return null.

### setFile

    void setFile(java.lang.String file)

  Sets the image file. The source type is `IMAGE_REF_TYPE_FILE`, and will automatically set in this method.

### getFile

    java.lang.String getFile()

  get the image url, if the source type is not `IMAGE_REF_TYPE_FILE` return null.

### createAction

    IActionInstance createAction()

  Create a new action instance, witch can be bookmark, hyperlink or drillThrough. The default action instance type is NULL.

### getAction

    IActionInstance getAction()

  Get the action instance.

### setAction

    void setAction(IActionInstance actionInstance)

  set the actionInstance

  Parameters:
    `actionInstance` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.